.catalog-list {
  overflow: hidden;
}
.catalog-list__container {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
  padding-top: 0;
}
.catalog-list__title {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 40px;
  color: black;
  line-height: 110%;
  letter-spacing: -1.1px;
  margin: 0;
}
.catalog-list__content {
  display: grid;
  grid-template-columns: 284px 1fr;
  gap: 40px;
}
@media (max-width: 1199px) {
  .catalog-list__content {
    grid-template-columns: 1fr;
  }
}
.catalog-list__content .goods-selection {
  display: none;
}
.catalog-list__content_not-found {
  grid-template-columns: 1fr;
}
.catalog-list__content_not-found .catalog-filter,
.catalog-list__content_not-found .catalog-list__content-main-filter,
.catalog-list__content_not-found .catalog-list__content-main-products,
.catalog-list__content_not-found .catalog-list__content-main-pagination-load-more-btn,
.catalog-list__content_not-found .pagination {
  display: none;
}
.catalog-list__content_not-found .catalog-list__content-main {
  overflow: visible;
}
.catalog-list__content_not-found .goods-selection,
.catalog-list__content_not-found .catalog-list__content-main-not-found-msg {
  display: block;
}
.catalog-list__content-main {
  display: flex;
  flex-direction: column;
  gap: 16px;
  overflow: hidden;
}
.catalog-list__content-main-filter {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.catalog-list__content-main-filter-sort {
  display: flex;
  justify-content: space-between;
  align-items: end;
  gap: 12px;
}
.catalog-list__content-main-filter-sort-buttons {
  display: flex;
  gap: 10px;
  height: 100%;
}
@media (max-width: 639px) {
  .catalog-list__content-main-filter-sort-buttons {
    gap: 4px;
  }
}
@media (max-width: 330px) {
  .catalog-list__content-main-filter-sort-buttons {
    flex-direction: column;
  }
}
.catalog-list__content-main-filter-sort-buttons-open-filters-btn {
  box-sizing: border-box;
  padding: 15px 16px;
  border-radius: 24px;
  border: 1px solid rgba(29, 44, 64, 0.1);
  background-color: white;
  display: none;
  align-items: center;
  gap: 10px;
  cursor: pointer;
}
@media (max-width: 1199px) {
  .catalog-list__content-main-filter-sort-buttons-open-filters-btn {
    display: flex;
  }
}
.catalog-list__content-main-filter-sort-buttons-open-filters-btn:active {
  background-color: #f3f3f3;
}
@media (hover: hover) and (pointer: fine) {
  .catalog-list__content-main-filter-sort-buttons-open-filters-btn:hover {
    background-color: #f3f3f3;
  }
}
.catalog-list__content-main-filter-sort-buttons-open-filters-btn img {
  width: 16px;
  height: 16px;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-list__content-main-filter-sort-buttons-open-filters-btn span {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 100%;
  white-space: nowrap;
  text-align: left;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector {
  height: 52px;
  position: relative;
}
@media (max-width: 363px) {
  .catalog-list__content-main-filter-sort-buttons-sort-selector {
    width: 100%;
  }
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown {
  position: absolute;
  top: 0;
  left: 0;
  box-sizing: border-box;
  padding: 14px 8px;
  border-radius: 24px;
  border: 1px solid rgba(29, 44, 64, 0.1);
  background-color: white;
  display: flex;
  flex-direction: column;
  gap: 15px;
  cursor: pointer;
  z-index: 2000;
  transition: background-color 0.3s ease;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown:active {
  background-color: #f3f3f3;
}
@media (hover: hover) and (pointer: fine) {
  .catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown:hover {
    background-color: #f3f3f3;
  }
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown_opened {
  box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.12);
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown_opened:hover {
  box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.12);
  background-color: white;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown_opened .catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-options {
  display: block;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-selected {
  box-sizing: border-box;
  padding: 0 8px;
  display: flex;
  align-items: center;
  gap: 10px;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-selected-text {
  width: 180px;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 100%;
  white-space: nowrap;
  text-align: left;
  -webkit-user-select: none;
}
@media (max-width: 363px) {
  .catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-selected-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-selected-icon {
  width: 20px;
  height: 20px;
  flex-shrink: 0;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-options {
  width: 100%;
  background-color: white;
  display: none;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-options-item {
  box-sizing: border-box;
  padding: 10px 8px;
  display: block;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 100%;
  text-align: start;
  white-space: nowrap;
  -webkit-user-select: none;
}
.catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-options-item:active {
  background-color: #f3f3f3;
}
@media (hover: hover) and (pointer: fine) {
  .catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-options-item:hover {
    background-color: #f3f3f3;
  }
}
.catalog-list__content-main-filter-sort-buttons-results-amount {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
}
.catalog-list__content-main-filter-category {
  width: 100%;
  display: flex;
  gap: 8px;
  overflow-x: auto;
}
.catalog-list__content-main-filter-category-item {
  box-sizing: border-box;
  padding: 7px 10px;
  border-radius: 100px;
  background-color: rgba(29, 44, 64, 0.05);
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: black;
  line-height: 100%;
  white-space: nowrap;
  -webkit-user-select: none;
  text-decoration: none;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
}
.catalog-list__content-main-filter-category-item:active {
  background-color: rgba(29, 44, 64, 0.1);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-list__content-main-filter-category-item:hover {
    background-color: rgba(29, 44, 64, 0.1);
  }
}
.catalog-list__content-main-products {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  column-gap: 12px;
  row-gap: 24px;
  transition: opacity 0.1s ease-out;
}
@media (max-width: 2135px) {
  .catalog-list__content-main-products {
    grid-template-columns: repeat(4, 1fr);
  }
}
@media (max-width: 1878px) {
  .catalog-list__content-main-products {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media (max-width: 959px) {
  .catalog-list__content-main-products {
    grid-template-columns: 1fr 1fr;
  }
}
@media (max-width: 340px) {
  .catalog-list__content-main-products {
    grid-template-columns: 1fr;
  }
}
.catalog-list__content-main-products .catalog-item {
  width: auto;
  min-width: auto;
}
.catalog-list__content-main-products_loading {
  opacity: 0.3;
}
.catalog-list__content-main-not-found-msg {
  display: none;
  margin: 0;
  font-family: var(--font-random-grotesque-standard);
  font-weight: 400;
  font-size: 40px;
  color: black;
  line-height: 110%;
}
@media (max-width: 959px) {
  .catalog-list__content-main-not-found-msg {
    font-size: 26px;
  }
}
@media (max-width: 639px) {
  .catalog-list__content-main-not-found-msg {
    padding: 0 16px;
  }
}
.catalog-list__content-main-pagination {
  display: flex;
  flex-direction: column;
  gap: 32px;
}
.catalog-list__content-main-pagination-load-more-btn {
  --margin-x: 16px;
  box-sizing: border-box;
  padding: 15px 0;
  width: calc(100% - var(--margin-x) * 2);
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: black;
  line-height: 100%;
  text-align: center;
  -webkit-user-select: none;
  background-color: rgba(29, 44, 64, 0.05);
  border: none;
  border-radius: 12px;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
}
.catalog-list__content-main-pagination-load-more-btn[disabled] {
  cursor: auto;
  background-color: transparent;
}
.catalog-list__content-main-pagination-load-more-btn:active {
  background-color: rgba(29, 44, 64, 0.1);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-list__content-main-pagination-load-more-btn:hover {
    background-color: rgba(29, 44, 64, 0.1);
  }
}
.catalog-list__content-main-pagination-description {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
}
@media (max-width: 639px) {
  .catalog-list__content-main-pagination-description {
    padding: 0 16px;
  }
}
@media screen and (max-width: 959px) {
  .catalog-list__container {
    gap: 24px;
  }
  .catalog-list__title {
    font-size: 26px;
  }
}
@media screen and (max-width: 639px) {
  .catalog-list__title,
  .catalog-list__content-main-filter {
    padding: 0 16px;
  }
  .catalog-list__content-main-filter-sort {
    flex-direction: column;
    align-items: start;
  }
  .catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown {
    padding: 15px;
  }
  .catalog-list__content-main-filter-sort-buttons-sort-selector-dropdown-selected-text {
    width: 155px;
    font-size: 15px;
  }
  .catalog-list__content-main-filter-sort-buttons-results-amount {
    font-size: 15px;
  }
}